io.vertx.db2client

## Interface DB2Pool

- All Superinterfaces:
    Pool, SqlClient

      public interface DB2Pool
      extends Pool

  A pool of DB2 connections.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SqlClient` | `client(DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Create a pooled client to the DB2 server configured with the given `connectOptions` and `poolOptions`.
    `static SqlClient` | `client(String connectionUri)` Like `client(String, PoolOptions)` with a default `poolOptions`.
    `static SqlClient` | `client(String connectionUri, PoolOptions poolOptions)` Like `client(DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static SqlClient` | `client(Vertx vertx, DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Like `client(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static SqlClient` | `client(Vertx vertx, String connectionUri)` Like `client(Vertx, String,PoolOptions)` with a default `poolOptions`..
    `static SqlClient` | `client(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `client(Vertx, DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static DB2Pool` | `pool(DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the DB2 server configured with the given `connectOptions` and `poolOptions`.
    `static DB2Pool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static DB2Pool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static DB2Pool` | `pool(Vertx vertx, DB2ConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(Vertx, DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `close, getConnection, getConnection, pool, pool, pool, preparedQuery, query, withConnection, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close`

- - ### Method Detail

    - #### pool

          static DB2Pool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static DB2Pool pool(String connectionUri,
                              PoolOptions poolOptions)

      Like `pool(DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              String connectionUri,
                              PoolOptions poolOptions)

      Like `pool(Vertx, DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static DB2Pool pool(DB2ConnectOptions connectOptions,
                              PoolOptions poolOptions)

      Create a connection pool to the DB2 server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static DB2Pool pool(Vertx vertx,
                              DB2ConnectOptions connectOptions,
                              PoolOptions poolOptions)

      Like `pool(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### client

          static SqlClient client(String connectionUri)

      Like `client(String, PoolOptions)` with a default `poolOptions`.

    - #### client

          static SqlClient client(String connectionUri,
                                  PoolOptions poolOptions)

      Like `client(DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### client

          static SqlClient client(Vertx vertx,
                                  String connectionUri)

      Like `client(Vertx, String,PoolOptions)` with a default `poolOptions`..

    - #### client

          static SqlClient client(Vertx vertx,
                                  String connectionUri,
                                  PoolOptions poolOptions)

      Like `client(Vertx, DB2ConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### client

          static SqlClient client(DB2ConnectOptions connectOptions,
                                  PoolOptions poolOptions)

      Create a pooled client to the DB2 server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### client

          static SqlClient client(Vertx vertx,
                                  DB2ConnectOptions connectOptions,
                                  PoolOptions poolOptions)

      Like `client(DB2ConnectOptions, PoolOptions)` with a specific `Vertx` instance.

Copyright © 2021 Eclipse. All rights reserved.